Bug: 179103584

Clone this repo:
  1. 682771a Upgrade rayon-core to 1.12.1 am: 96905156f3 by Jeff Vander Stoep · 2 months ago emu-34-2-dev main master
  2. 9690515 Upgrade rayon-core to 1.12.1 by Jeff Vander Stoep · 2 months ago emu-34-3-release
  3. 12bfc0b Migrate to cargo_embargo. am: 2db8ca8f4b am: 6c9f73a43e am: 3431b891fb by Andrew Walbran · 5 months ago
  4. 0c4816e Migrate to cargo_embargo. am: 2db8ca8f4b am: 76cd97482d am: fe0b55a60e by Andrew Walbran · 5 months ago
  5. 3431b89 Migrate to cargo_embargo. am: 2db8ca8f4b am: 6c9f73a43e by Andrew Walbran · 5 months ago

Rayon-core represents the “core, stable” APIs of Rayon: join, scope, and so forth, as well as the ability to create custom thread-pools with ThreadPool.

Maybe worth mentioning: users are not necessarily intended to directly access rayon-core; all its APIs are mirror in the rayon crate. To that end, the examples in the docs use rayon::join and so forth rather than rayon_core::join.

rayon-core aims to never, or almost never, have a breaking change to its API, because each revision of rayon-core also houses the global thread-pool (and hence if you have two simultaneous versions of rayon-core, you have two thread-pools).

Please see Rayon Docs for details about using Rayon.

Rayon-core currently requires rustc 1.63.0 or greater.